summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAaron Griffin <aaron@archlinux.org>2006-12-18 18:45:16 +0100
committerAaron Griffin <aaron@archlinux.org>2006-12-18 18:45:16 +0100
commitff23064fa26f8aef2af0e858498cb1c8afee08d3 (patch)
tree2bec2adc0b9c1804d49be7ebb225841f1099207f /scripts
parentb308f06a3a3d368c38b0d109b7e6c1c639127148 (diff)
downloadpacman-ff23064fa26f8aef2af0e858498cb1c8afee08d3.tar.gz
pacman-ff23064fa26f8aef2af0e858498cb1c8afee08d3.tar.xz
FS #3289 fix from Dan McGee <dpmcgee@gmail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/makepkg10
1 files changed, 7 insertions, 3 deletions
diff --git a/scripts/makepkg b/scripts/makepkg
index 4f8a13e1..aa53990a 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -568,9 +568,13 @@ for netfile in ${source[@]}; do
fi
msg " Downloading $file"
$FTPAGENT "$netfile" 2>&1
- if [ ! -f "$file" ]; then
- error "Failed to download $file"
- msg "Aborting..."
+ # fix flyspray bug #3289
+ ftpret=$?
+ if [ $ftpret -gt 0 ]; then
+ error "Failure while downloading $file"
+ msg "Aborting..."
+ rm "$file"
+ exit 1
exit 1
fi
if [ "`id -u`" = "0" -a "$INFAKEROOT" != "1" ]; then